CVE-2017-5333

NameCVE-2017-5333
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-789-1, DSA-3765-1

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
icoutils (PTS)wheezy0.29.1-5vulnerable
wheezy (security)0.29.1-5deb7u2fixed
jessie (security), jessie0.31.0-2+deb8u3fixed
stretch0.31.2-1.1fixed
buster, sid0.32.0-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
icoutilssource(unstable)0.31.1-1
icoutilssourcejessie0.31.0-2+deb8u2DSA-3765-1
icoutilssourcewheezy0.29.1-5deb7u1DLA-789-1

Notes

Fixed by: http://git.savannah.gnu.org/cgit/icoutils.git/commit/?id=1a108713ac26215c7568353f6e02e727e6d4b24a
CVE for "the separate vulnerability fixed by the introduction of the "size >= sizeof(uint16_t)*2" test in
1a108713ac26215c7568353f6e02e727e6d4b24a"
http://seclists.org/oss-sec/2017/q1/56

Search for package or bug name: Reporting problems